/*
    Copyright (C) 2012 Bartosz Broda, Jacek Bochenek, Łukasz Biłeńkij, 
    Damian Jaworski, Wojciech Mazur, Dominik Piasecki, Maciej Piasecki, 
    Radosław Ramocki
    
    This program is free software; you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the Free
Software Foundation; either version 3 of the License, or (at your option)
any later version.

    This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. 

    See the LICENSE and COPYING files for more details.
*/

#include "../matrices_headers.h"
#include "filesystem_error.h"

namespace Matrices
{
	namespace IO
	{
		filesystem_error::filesystem_error(const std::string &who,const std::string &what)
		{
			this->_what = what;
			this->_who = who;
		}

		filesystem_error::filesystem_error(const std::string &what)
		{
			this->_what = what;
			_who = "unknown source";
		}

		std::string filesystem_error::who() const
		{
			return _who;
		}

		const char* filesystem_error::what() const throw()
		{
			return _what.c_str();
		}

	}
}

